
@echo off

rem This example assumes that you
rem are using a JVM called `java' (e.g., Sun's jdk)
rem and that `jmangle' is in your CLASSPATH.
rem The `javap' program is used to decompile
rem the class files

rem If you are using Windows you can execute this file, if
rem you are using UNIX, see READNE.sh, else
rem run the commands below by hand in a shell

rem Let's decompile the java file

cd classes
javap -s -l -private helloworld
cd ..

rem Classes to be mangled MUST be in the CLASSPATH
set CLASSPATH=%CLASSPATH%;.;.\classes;

rem This is a very simple example where
rem a single class file is mangled. The
rem class names are not mangled (by default)
rem but method and field names are mangled.

rem Jmangle will read the classes in the 
rem directory `classes' and put the mangled
rem class files into `mangled_classes'

rem Using +verbose with a `-' will write
rem detailed messages to System.out. The
rem +map with a `-' writes the mapping
rem from original symbols to mangled symbols.

java -noclassgc jmangle +verbose - +map - classes mangled_classes

rem to confirm the mangling use javap to examine the class file

cd mangled_classes
 javap -s -l -private helloworld
cd ..

rem keep sure it works after mangling

cd mangled_classes
java helloworld
cd ..


