#!/bin/sh

# This example assumes that you
# are using a JVM called `java' (e.g., Sun's jdk)
# and that `jmangle' is in your CLASSPATH.


# If you are using UNIX you can execute this file, 
# if you are using Windows, see README.bat, else
# run the commands below by hand in a shell 

# Classes to be mangled MUST be in the CLASSPATH
CLASSPATH=${CLASSPATH}:.:./classes
export CLASSPATH

# Jmangle will read the classes in the 
# directory `classes' and put the mangled
# class files into `mangled_classes'

# The config file (`example2.config') specified with +config
# controls the mangling. Note that classnames
# ARE mangled but this is disabled for the
# entry point class `MiniEdit'

echo
java -noclassgc jmangle +config example2.config classes mangled_classes

# keep sure it works after mangling
echo
cd mangled_classes
java MiniEdit 
cd ..
