package brr.awt.examples;

import java.awt.*;
import java.applet.*;
import brr.awt.*;

public class MultiLineExample extends Applet {
    MultiLine ml;
    Font font[] = new Font[3];
    int currentFont = 0;

    public void init() {
	setLayout(new FlowLayout());
	font[0] = new Font("Helvetica", Font.BOLD, 12);
	font[1] = new Font("TimesRoman", Font.ITALIC, 15);
	font[2] = new Font("Courier", Font.PLAIN, 10);
	add(ml = new MultiLine("Click on me to cycle alignment. "+
				"Hit a key to cycle font."));
	ml.setFont(font[0]);
    }

    public boolean mouseDown(Event e, int x, int y) {
	ml.setAlign((ml.getAlign()+1)%3);
	return false;
    }

    public boolean keyDown(Event e, int key) {
	currentFont = ++currentFont % font.length;
	ml.setFont(font[currentFont]);
	invalidate();
	validate();
	return false;
    }

    public static void main(String argv[]) {
	new MultiLineExample();
    }
};
