/** @(#)URLDecoder.java
  @author Bharath Raj Rao
          brr@cat.syr.edu
 
Permission is granted to copy and modify this file as long as this message
including my name and email address is preserved.
 
No warranties. Use at your own risk. (Hey! we live in a litigious world!)

*/

package brr.net;

/** There seems to be no counterpart for URLEncode in the java platform API. 
    Here it is.
*/
public class URLDecoder {
    /** Does the opposite of URLEncoder.encode().
    */
    public static String decode(String s) {
	int loc = -1;
	while((loc = s.indexOf('+')) >= 0) {
	    s = s.substring(0, loc-1)+" "+s.substring(loc+1);
	}
	while((loc = s.indexOf('%')) >= 0) {
	    int number = Integer.parseInt(s.substring(loc+1, loc+3));
	    s = s.substring(0, loc-1)+(char)number+s.substring(loc+1);
	}
	return s;
    }
};
