package brr.awt.examples;

import java.awt.*;
import java.applet.*;
import brr.awt.*;

public class FlyPanelExample extends Applet {
    Image bombImages[] = new Image[9];
    Image bannerImages[] = new Image[6];
    FlyPanel bombPanel, bannerPanel;
    public void init() {
    	Font font = new Font("Helvetica", Font.BOLD|Font.ITALIC, 18);

	ImageLoader il = 
	new ImageLoader(getCodeBase().toString() +"/images/");
	il.show();
	il.setText("Loading bombs...");
	il.loadImages(bombImages, "bomb", ".gif");
	il.setText("Loading banners...");
	il.loadImages(bannerImages, 0, 5, "banner", ".gif");
	il.dispose();

	setLayout(new FlowLayout());

	bombPanel = new FlyPanel();
	bannerPanel = new FlyPanel();
	bannerPanel.setFlyButton(false);

	Panel p = new Panel();
	p.setLayout(new GridLayout(3,2));
	for(int i=0; i < bannerImages.length; i++ ) {
	    p.add(new ImagePanel(bannerImages[i]));
	}
	bannerPanel.add(p);
	add(bannerPanel);

	bombPanel = new FlyPanel();
	bombPanel.add(p = new Panel());
	p.setLayout(new GridLayout(3,3));
	for(int i=0; i < bombImages.length; i++ ) {
	    p.add(new ImagePanel(bombImages[i]));
        }
	add(bombPanel);
    }

    public static void main(String argv[]) {
	new FlyPanelExample();
    }
};
