package brr.awt.examples;

import java.awt.*;
import java.applet.*;
import brr.awt.*;

public class TextPanelExample extends Applet {
    TextPanel tp0, tp1;
    Button enableb, alignb;

    public void init() {
        Font font = new Font("Helvetica", Font.BOLD|Font.ITALIC, 18);
	setLayout(new BorderLayout());
	add("North", tp0 = new TextPanel("This is a TextPanel", font));
	tp0.setMinWidth(200);
	add("Center", tp1 = new TextPanel("This is another TextPanel"));
	Panel p = new Panel();
	add("South", p);
	p.add(alignb = new Button("Align"));
	p.add(enableb = new Button("Enable"));
    }

    public boolean action(Event e, Object arg) {
	if (e.target == alignb) {
	    tp0.setAlign((tp0.getAlign()+1)%3);
	}
	if (e.target == enableb) {
	    tp1.enable(!tp1.isEnabled());
	}
	return false;
    }
};

