/** @(#)LoaderExample.java      97 Jul 2
    @author Bharath Raj Rao
*/

package brr.net.examples;

import java.awt.*;
import brr.net.*;

public class LoadableExample extends Frame implements Loadable {
    Object loader;
    TextArea ta;

    public void setLoader(Object loader) {
	this.loader = loader;
    }

    public Object getLoader() { return loader; }

    public void init() {
	setLayout(new FlowLayout());
	setTitle("Hello!");
	add(ta = new TextArea(5,50));
	ta.setText("This was loaded by "+loader.toString());
	add(new Button("Close"));
	pack();
	show();
    }

    public boolean action(Event e, Object arg) {
	if (e.target instanceof Button) {
	    this.dispose();
  	}
	return false;
    }

    public static void main(String argv[]) {
	new LoadableExample();
    }
};
