package brr.net.examples;

import java.io.*;
import brr.net.*;
import java.awt.*;

public class ProtocolExample { 
    String protocolStrings[] = { "EGGS", "BREAD", "MILK" };
    public ProtocolExample() {
    	Protocol protocol = new Protocol(System.in, System.out);
	protocol.setProtocolHandler(new HelloHandler(), "HELLO");
	protocol.setProtocolHandler(new FoodHandler(), protocolStrings);
	protocol.start();
    }
    
    public static void main(String argv[]) {
	new ProtocolExample();
    }
}

class HelloHandler extends ProtocolHandler {
    public void run() {
	getPrintStream().println("Hello to you too\n");
    }
};

class FoodHandler extends ProtocolHandler {
    public void run() {
	getPrintStream().println(getRequest()+" currently unavailable");
    }
};
