package brr.net.examples;

import java.io.*;
import java.net.*;
import brr.net.*;
import java.awt.*;
import java.util.StringTokenizer;

public class ServerExample { 

    public static void main(String argv[]) throws IOException {
	ProtocolHandler prots[] = { new GetHandler()};
	String cmds[] = { "GET" };
	(new Server(2000, prots, cmds)).start();
    }
}

class GetHandler extends ProtocolHandler {
    public void run() {
      try {
	byte buf[] = new byte[32*1024];
	StringTokenizer st = new StringTokenizer(getRequest()," ?");
	System.out.println(getRequest());
	st.nextToken(); // get rid of the requestType
	String filename = "/ocelot3/users/brr/public_html"+st.nextToken();
	FileInputStream fis = new FileInputStream(new File(filename));	
	while(fis.available() > 0) {
	    int read = fis.read(buf);
	    getOutputStream().write(buf, 0, read);
	}    
      } catch(Exception e) { e.printStackTrace();}
    }
};

